## arduino-cli core

Arduino core operations.

### Synopsis

Arduino core operations.

### Examples

```
  debian/build/bin/docsgen core update-index
```

### Options

```
  -h, --help   help for core
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli](arduino-cli.md)	 - Arduino CLI.
* [arduino-cli core download](arduino-cli_core_download.md)	 - Downloads one or more cores and corresponding tool dependencies.
* [arduino-cli core install](arduino-cli_core_install.md)	 - Installs one or more cores and corresponding tool dependencies.
* [arduino-cli core list](arduino-cli_core_list.md)	 - Shows the list of installed platforms.
* [arduino-cli core search](arduino-cli_core_search.md)	 - Search for a core in Boards Manager.
* [arduino-cli core uninstall](arduino-cli_core_uninstall.md)	 - Uninstalls one or more cores and corresponding tool dependencies if no longer used.
* [arduino-cli core update-index](arduino-cli_core_update-index.md)	 - Updates the index of cores.
* [arduino-cli core upgrade](arduino-cli_core_upgrade.md)	 - Upgrades one or all installed platforms to the latest version.

